Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.apphosting.api
Class ApiProxy.UnknownException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.apphosting.api.ApiProxy.ApiProxyException
                      com.google.apphosting.api.ApiProxy.UnknownException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ApiProxy

    public static class ApiProxy.UnknownException

extends ApiProxy.ApiProxyException

See Also:
  Serialized Form

Constructor Summary
`ApiProxy.UnknownException(java.lang.String message)`
`ApiProxy.UnknownException(java.lang.String packageName, java.lang.String methodName)`
`ApiProxy.UnknownException(java.lang.String packageName, java.lang.String methodName, java.lang.Throwable nestedException)`

Method Summary
`ApiProxy.UnknownException` | `cloneWithoutStackTrace()`

Methods inherited from class com.google.apphosting.api.ApiProxy.ApiProxyException
`copy`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApiProxy.UnknownException

    public ApiProxy.UnknownException(java.lang.String packageName,
                                     java.lang.String methodName,
                                     java.lang.Throwable nestedException)

### ApiProxy.UnknownException

    public ApiProxy.UnknownException(java.lang.String packageName,
                                     java.lang.String methodName)

### ApiProxy.UnknownException

    public ApiProxy.UnknownException(java.lang.String message)

Method Detail

### cloneWithoutStackTrace

    public ApiProxy.UnknownException cloneWithoutStackTrace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD